#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2,3)
%define		nname		%(echo %{sname} | tr -s '-' '_')
%define		sversion	%(echo %{version} | cut -d '.' -f1-3)
#-----------------------------------------------------------------------------
Name		:	python3-hatch-vcs
Version		:	0.3.0.4d2a66e
Release		:	17.0.10.rel%{?dist}
Summary		:	Hatch plugin for versioning with your preferred VCS

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/ofek/hatch-vcs

Source0		:	%{sname}-%{version}.tar.gz

# Generate source by doing:
# git clone https://github.com/ofek/hatch-vcs.git
# cd python3-hatch-vcs
# git archive --format=tar --prefix=python3-hatch-vcs-0.3.0.4d2a66e/ python3-hatch-vcs-0.3.0.4d2a66e | gzip > python3-hatch-vcs-0.3.0.4d2a66e.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python3-editables
BuildRequires	:	python3-hatchling
BuildRequires	:	python-trove-classifiers
BuildRequires	:	python-installer
BuildRequires	:	python-packaging
BuildRequires	:	python3-pathspec
BuildRequires	:	python-pep517
BuildRequires	:	python3-pluggy
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-tomli

#-----------------------------------------------------------------------------
%description
This provides a plugin for Hatch that uses your preferred
version control system (like Git) to determine project versions.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{nname}/*.py
%{python3_sitelib}/%{nname}/__pycache__/*.pyc
%{python3_sitelib}/%{nname}-%{sversion}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
